OGRE: Ogre::FloatGpuParameterControllerValue Class Reference - OGRE Documentation

# Ogre::FloatGpuParameterControllerValue Class Reference

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FloatGpuParameterControllerValue:

[legend]

List of all members.

## Public Member Functions
| FloatGpuParameterControllerValue (GpuProgramParameters *params, size_t index)
| Constructor.
| ~FloatGpuParameterControllerValue ()
Real | getValue (void) const
void | setValue (Real value)
virtual void | setValue (T value)=0
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
GpuProgramParameters * | mParams
| The parameters to access.
size_t | mParamIndex
| The index of the parameter to e read or set.

## Detailed Description

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program.

Remarks:
  Any value is accepted, it is propagated into the 'x' component of the constant register identified by the index. If you need to use named parameters, retrieve the index from the param object before setting this controller up.

Note:
  Retrieving a value from the program parameters is not currently supported, therefore do not use this controller value as a source, only as a target.

Definition at line 138 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue | ( | GpuProgramParameters * | params,
|  | size_t | index |
| ) |  |  |

Constructor.

Parameters:

  | params | The parameters object to access
  | index | The index of the parameter to be set

Ogre::FloatGpuParameterControllerValue::~FloatGpuParameterControllerValue | ( |  | ) |

Definition at line 155 of file OgrePredefinedControllers.h.

## Member Function Documentation

Real Ogre::FloatGpuParameterControllerValue::getValue | ( | void |  | ) | const`[virtual]`

Implements Ogre::ControllerValue< T >.

void Ogre::FloatGpuParameterControllerValue::setValue | ( | Real | value | ) |

template<typename T>

virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) | `[pure virtual, inherited]`

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

GpuProgramParameters* Ogre::FloatGpuParameterControllerValue::mParams`[protected]`

The parameters to access.

Definition at line 142 of file OgrePredefinedControllers.h.

size_t Ogre::FloatGpuParameterControllerValue::mParamIndex`[protected]`

The index of the parameter to e read or set.

Definition at line 144 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:35:06 2009